=== sage/build/pkgs/nibabel/requirements.txt ===
nibabel
