=== sage/build/pkgs/pyopenssl/requirements.txt ===
service_identity
pyopenssl
