=== sage/build/pkgs/sage_sws2rst/src/requirements.txt ===
six
beautifulsoup4
