=== debian/changelog ===
sagemath (9.2-2) unstable; urgency=medium

  * Do not hardcode python minor version in d/rules. (Closes: #972916)
  * New patches:
    - u0-version-pari-2.13.patch (Closes: #974991)
    - u0-version-pari-2.13-spkg-configure.patch
    - dt-avoid-pari-timeout.patch

 -- Tobias Hansen <thansen@debian.org>  Sun, 22 Nov 2020 00:40:14 +0000

sagemath (9.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #972916)
  * Remove patches (applied upstream):
    - d0-maxima.patch #30563
  * Update debian/watch.

 -- Tobias Hansen <thansen@debian.org>  Mon, 26 Oct 2020 19:59:07 +0000
