=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sage-$1\.tar\.gz/ \
  https://github.com/sagemath/sage/tags .*/([\d\.]+)\.tar\.gz
